package com.neusoft.smart.pos.address.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 业务错误信息使用枚举类
 */
public enum AddressErrorCode implements CommonCode {

    PRIORITY_FORMAT_ERROR("13001", "优先级设置错误"),
    ADDRESS_TYPE_FORMAT_ERROR("13002", "地址类型错误：0-收货 1-发货 all-全部"),
    ADDRESS_ID_EMPTY("13003", "地址ID为空"),
    USER_ID_EMPTY("13004", "用户ID为空"),
    NOT_YOUR_ADDRESS("13005", "地址不存在"),
    UNKNOWN("13006", "未知错误")
    ;

    private String code;
    private String message;

    AddressErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
